﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.UserDto
{
    /// <summary>
    /// 注册用户 
    /// 提交DTO
    /// </summary>
    public class RegisterDto
    {
        /// <summary>
        /// 申请注册UserId
        /// </summary>
        public int CreateUserId { get; set; }

        /// <summary>
        /// 中文名
        /// </summary>
        public string? CnName { get; set; }

        /// <summary>
        /// 英文名称
        /// </summary>
        public string? EnName { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        public string? Email { get; set; }

        /// <summary>
        /// 性别
        /// 0 男 1 女
        /// </summary>
        public int Sex { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string? Phone { get; set; }

        /// <summary>
        /// 紧急联系人手机号
        /// </summary>
        public string? UrgencyPhone { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public int Password { get; set; }

        /// <summary>
        /// 现在居住住址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 身份证号
        /// </summary>
        public string? IdCrad { get; set; }

        /// <summary>
        /// 出生日期
        /// </summary>
        public DateTime BirthDay { get; set; }

        /// <summary>
        /// 学历
        /// 0 未设置 1 大专 2 本科 3 研究生
        /// </summary>
        public int Education { get; set; }

        /// <summary>
        /// 专业
        /// 英语/数学 等等
        /// </summary>
        public string? Major { get; set; }

        /// <summary>
        /// 毕业学校
        /// </summary>
        public string? GraduationSchhol { get; set; }

        /// <summary>
        /// 教育类型
        /// 统招/成教
        /// </summary>
        public int EducationType { get; set; }

        /// <summary>
        /// 婚姻状态
        /// 已婚/未婚
        /// </summary>
        public string? MaritalStatus{ get; set; }

        /// <summary>
        /// 家庭地址
        /// </summary>
        public string? HomeAddress { get; set; }

        /// <summary>
        /// 公司Id
        /// </summary>
        public int CompanyId { get; set; }

        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }

        /// <summary>
        /// 岗位Id
        /// </summary>
        public int JobPostId { get; set; }

        /// <summary>
        /// 工作经历
        /// </summary>
        public string? WorkExperience { get; set; }
    }
}
